# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-java
BuildRequires: rpm-build-java
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
# see http://xframe.sourceforge.net/xsddoc/install-console.html

Name:          xsddoc
Version:       1.0
Release:       alt1_9
Summary:       Documentation tool for W3C XML Schema
Group:         Development/Java
License:       LGPL
Url:           http://xframe.sourceforge.net/xsddoc/index.html
Source0:       http://sourceforge.net/projects/xframe/files/xsddoc/xsddoc-%{version}/%{name}-%{version}.tar.gz
Source1:       http://repo1.maven.org/maven2/xsddoc/xsddoc/%{version}/%{name}-%{version}.pom

Patch0:        xsddoc-1.0-build_xml.patch
Patch1:        xsddoc-1.0-bin.patch
Patch2:        xsddoc-1.0-pom_xml.patch

BuildArch:     noarch

BuildRequires: java-devel-default /proc
BuildRequires: javapackages-local

BuildRequires: ant
BuildRequires: xalan-j2

Requires:      ant
Requires:      xalan-j2
Requires:      xalan-j2-xsltc
Requires:      xerces-j2
Requires:      xml-commons-apis

Requires:      java-headless
Source44: import.info

%description
xsddoc is a XML Schema documentation generator for W3C XML Schemas.

%package       javadoc
Summary:       Javadoc for %{name}
Group:         Documentation
BuildArch: noarch

%description   javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n xsddoc-%{version}

perl -pi -e 's/\r$//g' bin/xsddoc LICENSE.txt readme.txt
%patch0 -p0
%patch1 -p0
cp -p %SOURCE1 pom.xml
%patch2 -p0

find -name '*.jar' -exec rm -f '{}' \;
find -name '*.class' -exec rm -f '{}' \;
find -name '*.bat' -exec rm -f '{}' \;
find -name '*.tar' -exec rm -f '{}' \;
find -name '*.gz' -exec rm -f '{}' \;

rm -rf doc/api

%build

%ant

%install

mkdir -p %{buildroot}%{_javadir}
install -pm 644 lib/%{name}.jar %{buildroot}%{_javadir}/

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -r doc/api/* %{buildroot}%{_javadocdir}/%{name}

mkdir -p %{buildroot}%{_bindir}
install -pm 755 bin/%{name} %{buildroot}%{_bindir}/

%files -f .mfiles
%{_bindir}/%{name}
%doc LICENSE.txt readme.txt

%files javadoc
%{_javadocdir}/%{name}


%changelog
* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> 1.0-alt1_9
- update by mgaimport

* Sun Mar 18 2018 Igor Vlasenko <viy@altlinux.ru> 1.0-alt1_8
- new version

